<?php

namespace App\Classes\Modules\ControllersLogic\Companies;


use App\Classes\Modules\Companies\Services\ProfilesCompany;

class ProfileCompanyLogic
{
    /** @var  ProfilesCompany */
    private $ProfilesCompany;

    /**
     * ProfileCompanyLogic constructor.
     * @param ProfilesCompany $ProfilesCompany
     */
    public function __construct(ProfilesCompany $ProfilesCompany)
    {
        $this->ProfilesCompany = $ProfilesCompany;
    }

    public function execute(string $id){

        return $this->ProfilesCompany->execute($id);
    }

}